<?php
  include("./control/session.inc");

  $cname = 'url_list'; 
  $title = '全ページURLのリスト';

function form()
{

$content1 = <<<EOD
<div id="main_r1">
<h2>全ページの個別URL</h2>
サイトマップの作成などで、すべてのページのURLを使用したい時に便利です。
<br>
<textarea name="new_tag">
EOD;
 print("$content1");

  $home = $_SERVER['SERVER_NAME'];
  print $home.PHP_EOL;
  print 'index.php'.PHP_EOL;

$path='content/';
foreach(glob($path ."*.php") as $file)
{
 $i++;
 include_once $file;
 $array1 = explode("/", $file);
 $list1 = ($array1[count($array1) -1] ); 
 $array2 = explode(".", $list1);
 $list = 'index.php?name='.($array2[count($array2) -2] ).PHP_EOL;
 print $list;
}

  $content2 = "</textarea></div>";
  print $content2;

}

?>

